Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 45c9bddee73de50982acd76cb0fa34d03b148dbd)
+++ BOOK/packages.ent	(revision edfecd6e22e3e9ebc41c314314c2bbf9979b3eb1)
@@ -1,19 +1,29 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
+
+<!-- Note: For empty *-home entities use " " not "" -->
 
 <!ENTITY aboot-version "0.9b">
 <!ENTITY aboot-size "112 KB">
 <!ENTITY aboot-url "&sourceforge;aboot/aboot-&aboot-version;.tar.bz2?download">
+<!ENTITY aboot-md5 "5f16edbf4e9d52cd191adc4d4b6a5327">
+<!ENTITY aboot-home "http://sourceforge.net/projects/aboot">
 
 <!ENTITY arcload-version "0.5">
 <!ENTITY arcload-size "47 KB">
 <!ENTITY arcload-url "ftp://ftp.linux-mips.org/pub/linux/mips/people/skylark/arcload-&arcload-version;.tar.bz2">
+<!ENTITY arcload-md5 "b00e1c79074a13c2de97748f56f9bd1f">
+<!ENTITY arcload-home "http://www.linux-mips.org/wiki/ARCLoad">
 
 <!ENTITY autoconf-version "2.59">
 <!ENTITY autoconf-size "904 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.bz2">
+<!ENTITY autoconf-md5 "1ee40f7a676b3cfdc0e3f7cd81551b5f">
+<!ENTITY autoconf-home "&gnu-software;autoconf/">
 
 <!ENTITY automake-version "1.9.6">
 <!ENTITY automake-size "748 KB">
 <!ENTITY automake-url "&gnu;automake/automake-&automake-version;.tar.bz2">
+<!ENTITY automake-md5 "c11b8100bb311492d8220378fd8bf9e0">
+<!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-directory "automake-1.9">
 
@@ -21,63 +31,93 @@
 <!ENTITY bash-size "2.4 MB">
 <!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
+<!ENTITY bash-md5 "ef5304c4b22aaa5088972c792ed45d72">
+<!ENTITY bash-home "&gnu-software;bash/">
 
 <!ENTITY bash-doc-version "3.1">
 <!ENTITY bash-doc-size "1.0 MB">
 <!ENTITY bash-doc-url "&gnu;bash/bash-doc-&bash-doc-version;.tar.gz">
+<!ENTITY bash-doc-md5 "a8c517c6a7b21b8b855190399c5935ae">
+<!ENTITY bash-doc-home " ">
 
 <!ENTITY bin86-version "0.16.17">
 <!ENTITY bin86-size "149 KB">
 <!ENTITY bin86-url "http://homepage.ntlworld.com/robert.debath/dev86/bin86-&bin86-version;.tar.gz">
+<!ENTITY bin86-md5 "c9e8d72dd2e7457b52d0e3164fc199a1">
+<!ENTITY bin86-home "http://freshmeat.net/projects/bin86/">
 
 <!ENTITY binutils-version "2.16.92">
 <!ENTITY binutils-size "14 MB">
-<!--- 
+<!---
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
 -->
 <!ENTITY binutils-url "ftp://sourceware.org/pub/binutils/snapshots/binutils-&binutils-version;.tar.bz2">
+<!ENTITY binutils-md5 "1cc2db046dbe33ee9ab97d4bf9a0631f">
+<!ENTITY binutils-home "http://sources.redhat.com/binutils/">
 
 <!ENTITY bison-version "2.1">
 <!ENTITY bison-size "1.3 MB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.gz">
+<!ENTITY bison-md5 "b1468d49c1357aebcd1de6ef12cbf3e8">
+<!ENTITY bison-home "&gnu-software;bison/">
 
 <!ENTITY bzip2-version "1.0.3">
 <!ENTITY bzip2-size "654 KB">
 <!ENTITY bzip2-url "http://www.bzip.org/&bzip2-version;/bzip2-&bzip2-version;.tar.gz">
+<!ENTITY bzip2-md5 "8a716bebecb6e647d2e8a29ea5d8447f">
+<!ENTITY bzip2-home "http://www.bzip.org/">
 
 <!ENTITY clfs-bootscripts-version "0.1">
 <!ENTITY clfs-bootscripts-size "24 KB">
 <!ENTITY clfs-bootscripts-url "http://ftp.jg555.com/bootscripts/bootscripts-cross-lfs-&clfs-bootscripts-version;.tar.bz2">
+<!ENTITY clfs-bootscripts-md5 "cf9e749b476a9eed6a644506fff50804">
+<!ENTITY clfs-bootscripts-home " ">
 
 <!ENTITY colo-version "1.21">
 <!ENTITY colo-size "250 KB">
 <!ENTITY colo-url "http://www.colonel-panic.org/cobalt-mips/colo/colo-&colo-version;.tar.gz">
+<!ENTITY colo-md5 "9d8a37ad4984ec6660ff159e83f15404">
+<!ENTITY colo-home "http://www.linux-mips.org/wiki/CoLo">
 
 <!ENTITY coreutils-version "5.94">
 <!ENTITY coreutils-size "4.8 MB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.bz2">
+<!ENTITY coreutils-md5 "11985c8345371546da8ff13f7efae359">
+<!ENTITY coreutils-home "&gnu-software;coreutils/">
 
 <!ENTITY dejagnu-version "1.4.4">
 <!ENTITY dejagnu-size "1 MB">
 <!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
+<!ENTITY dejagnu-md5 "053f18fd5d00873de365413cab17a666">
+<!ENTITY dejagnu-home "&gnu-software;dejagnu/">
 
 <!ENTITY diffutils-version "2.8.7">
 <!ENTITY diffutils-size "1.1 MB">
 <!ENTITY diffutils-url "&alpha-gnu;diffutils/diffutils-&diffutils-version;.tar.gz">
+<!ENTITY diffutils-md5 "18d6587cb915e7aa110a5d463d6ed156">
+<!ENTITY diffutils-home "&gnu-software;diffutils/">
 
 <!ENTITY dvhtool-version "1.0.1">
 <!ENTITY dvhtool-size "52 KB">
 <!ENTITY dvhtool-url "http://ftp.debian.org/debian/pool/main/d/dvhtool/dvhtool_&dvhtool-version;.orig.tar.gz">
+<!ENTITY dvhtool-md5 "4448c01e6a015685af90a79fbea8da4e">
+<!ENTITY dvhtool-home "http://packages.qa.debian.org/d/dvhtool.html">
 
 <!ENTITY e2fsprogs-version "1.38">
 <!ENTITY e2fsprogs-size "3.5 MB">
 <!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz?download">
+<!ENTITY e2fsprogs-md5 "d774d4412bfb80d12cf3a4fdfd59de5a">
+<!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 
 <!ENTITY elftoaout-version "2.3">
 <!ENTITY elftoaout-size "13 KB">
 <!ENTITY elftoaout-url "http://gd.tuwien.ac.at/opsys/linux/Owl/pool/sources/elftoaout/elftoaout-&elftoaout-version;.tgz">
+<!ENTITY elftoaout-md5 "be3bd6f7ba8ae107cbdbaa820ba64f86">
+<!ENTITY elftoaout-home " ">
 
 <!ENTITY expect-version "5.43.0">
 <!ENTITY expect-size "416 KB">
 <!ENTITY expect-url "http://expect.nist.gov/src/expect-&expect-version;.tar.gz">
+<!ENTITY expect-md5 "43e1dc0e0bc9492cf2e1a6f59f276bc3">
+<!ENTITY expect-home "http://expect.nist.gov">
 <!ENTITY expect-lib-version "5.43">
 
@@ -85,28 +125,42 @@
 <!ENTITY file-size "544 KB">
 <!ENTITY file-url "ftp://ftp.gw.com/mirrors/pub/unix/file/file-&file-version;.tar.gz">
+<!ENTITY file-md5 "50919c65e0181423d66bb25d7fe7b0fd">
+<!ENTITY file-home " ">
 
 <!ENTITY findutils-version "4.2.27">
 <!ENTITY findutils-size "1.1 MB">
 <!ENTITY findutils-url "&gnu;findutils/findutils-&findutils-version;.tar.gz">
+<!ENTITY findutils-md5 "f1e0ddf09f28f8102ff3b90f3b5bc920">
+<!ENTITY findutils-home "&gnu-software;findutils/">
 
 <!ENTITY flex-version "2.5.33">
 <!ENTITY flex-size "680 KB">
 <!ENTITY flex-url "&sourceforge;flex/flex-&flex-version;.tar.bz2?download">
+<!ENTITY flex-md5 "343374a00b38d9e39d1158b71af37150">
+<!ENTITY flex-home "http://flex.sourceforge.net">
 
 <!ENTITY gawk-version "3.1.5">
 <!ENTITY gawk-size "1.7 MB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.bz2">
+<!ENTITY gawk-md5 "5703f72d0eea1d463f735aad8222655f">
+<!ENTITY gawk-home "&gnu-software;gawk/">
 
 <!ENTITY gcc-version "4.1.0">
 <!ENTITY gcc-size "37 MB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
+<!ENTITY gcc-md5 "88785071f29ed0e0b6b61057a1079442">
+<!ENTITY gcc-home "http://gcc.gnu.org/">
 
 <!ENTITY gettext-version "0.14.5">
 <!ENTITY gettext-size "6.8 MB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.gz">
+<!ENTITY gettext-md5 "e2f6581626a22a0de66dce1d81d00de3">
+<!ENTITY gettext-home "&gnu-software;gettext/">
 
 <!ENTITY glibc-version "2.4">
 <!ENTITY glibc-size "14.5 MB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.bz2">
+<!ENTITY glibc-md5 "7e9a88dcd41fbc53801dbe5bdacaf245">
+<!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ld-name "ld-2.4.so">
 
@@ -114,52 +168,78 @@
 <!ENTITY glibc-ports-size "534 KB">
 <!ENTITY glibc-ports-url "&gnu;glibc/glibc-ports-&glibc-ports-version;.tar.bz2">
+<!ENTITY glibc-ports-md5 "7bb1b35654e94994925e66676acabd4e">
+<!ENTITY glibc-ports-home " ">
 
 <!ENTITY grep-version "2.5.1a">
 <!ENTITY grep-size "516 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.bz2">
+<!ENTITY grep-md5 "52202fe462770fa6be1bb667bd6cf30c">
+<!ENTITY grep-home "&gnu-software;grep/">
 
 <!ENTITY groff-version "1.19.2">
 <!ENTITY groff-size "2.8 MB">
 <!ENTITY groff-url "&gnu;groff/groff-&groff-version;.tar.gz">
+<!ENTITY groff-md5 "f7c9cf2e4b9967d3af167d7c9fadaae4">
+<!ENTITY groff-home "&gnu-software;groff/">
 
 <!ENTITY grub-version "0.97">
 <!ENTITY grub-size "950 KB">
 <!ENTITY grub-url "&alpha-gnu;grub/grub-&grub-version;.tar.gz">
+<!ENTITY grub-md5 "cd3f3eb54446be6003156158d51f4884">
+<!ENTITY grub-home "&gnu-software;grub/">
 
 <!ENTITY gzip-version "1.3.5">
 <!ENTITY gzip-size "324 KB">
 <!ENTITY gzip-url "&alpha-gnu;gzip/gzip-&gzip-version;.tar.gz">
+<!ENTITY gzip-md5 "3d6c191dfd2bf307014b421c12dc8469">
+<!ENTITY gzip-home "http://www.gzip.org/">
 
 <!ENTITY hfsutils-version "3.2.6">
 <!ENTITY hfsutils-size "203 KB">
 <!ENTITY hfsutils-url "ftp://ftp.mars.org/pub/hfs/hfsutils-&hfsutils-version;.tar.gz">
+<!ENTITY hfsutils-md5 "fa572afd6da969e25c1455f728750ec4">
+<!ENTITY hfsutils-home "http://www.mars.org/home/rob/proj/hfs/">
 
 <!ENTITY iana-etc-version "2.10">
 <!ENTITY iana-etc-size "184 KB">
 <!ENTITY iana-etc-url "http://www.sethwklein.net/projects/iana-etc/downloads/iana-etc-&iana-etc-version;.tar.bz2">
+<!ENTITY iana-etc-md5 "53dea53262b281322143c744ca60ffbb">
+<!ENTITY iana-etc-home "http://www.sethwklein.net/projects/iana-etc/">
 
 <!ENTITY inetutils-version "1.4.2">
 <!ENTITY inetutils-size "1019 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.gz">
+<!ENTITY inetutils-md5 "df0909a586ddac2b7a0d62795eea4206">
+<!ENTITY inetutils-home "&gnu-software;inetutils/">
 
 <!ENTITY iproute2-version "2.6.16-060323">
 <!ENTITY iproute2-size "377 KB">
 <!ENTITY iproute2-url "http://developer.osdl.org/dev/iproute2/download/iproute2-&iproute2-version;.tar.gz">
+<!ENTITY iproute2-md5 "f31d4516b35bbfeaa72c762f5959e97c">
+<!ENTITY iproute2-home "http://linux-net.osdl.org/index.php/Iproute2">
 
 <!ENTITY kbd-version "1.12">
 <!ENTITY kbd-size "618 KB">
 <!ENTITY kbd-url "&kernel;linux/utils/kbd/kbd-&kbd-version;.tar.bz2">
+<!ENTITY kbd-md5 "069d1175b4891343b107a8ac2b4a39f6">
+<!ENTITY kbd-home " ">
 
 <!ENTITY less-version "394">
 <!ENTITY less-size "286 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
+<!ENTITY less-md5 "a9f072ccefa0d315b325f3e9cdbd4b97">
+<!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
 
 <!ENTITY libtool-version "1.5.22">
 <!ENTITY libtool-size "2.8 MB">
 <!ENTITY libtool-url "&gnu;libtool/libtool-&libtool-version;.tar.gz">
+<!ENTITY libtool-md5 "8e0ac9797b62ba4dcc8a2fb7936412b0">
+<!ENTITY libtool-home "&gnu-software;libtool/">
 
 <!ENTITY lilo-version "22.7.1">
 <!ENTITY lilo-size "420 KB">
 <!ENTITY lilo-url "ftp://ftp.metalab.unc.edu/pub/Linux/system/boot/lilo/lilo-&lilo-version;.src.tar.gz">
+<!ENTITY lilo-md5 "1f3855c6f2c7b2beaa8a90bf9975a289">
+<!ENTITY lilo-home " ">
 
 <!ENTITY linux-dl-version "2.6">
@@ -168,116 +248,174 @@
 <!ENTITY linux-size "40 MB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
+<!ENTITY linux-md5 "dfb066db24a8a9b36358fb290cb06959">
+<!ENTITY linux-home "http://www.kernel.org/">
 
 <!ENTITY linux-headers-version "&linux-version;-05112006">
 <!ENTITY linux-headers-size "1.5 MB">
 <!ENTITY linux-headers-url "http://ftp.jg555.com/headers/linux-headers-&linux-headers-version;.tar.bz2">
+<!ENTITY linux-headers-md5 "547d0bc7a97f019f15f447dbcd616507">
+<!ENTITY linux-headers-home "http://headers.cross-lfs.org/">
 
 <!ENTITY m4-version "1.4.4">
 <!ENTITY m4-size "300 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.bz2">
+<!ENTITY m4-md5 "eb93bfbcb12cf00165583302bb31a822">
+<!ENTITY m4-home "&gnu-software;m4/">
 
 <!ENTITY make-version "3.81">
 <!ENTITY make-size "1.1 MB">
 <!ENTITY make-url "&gnu;make/make-&make-version;.tar.bz2">
+<!ENTITY make-md5 "354853e0b2da90c527e35aabb8d6f1e6">
+<!ENTITY make-home "&gnu-software;make/">
 
 <!ENTITY man-version "1.6c">
 <!ENTITY man-size "240 KB">
 <!ENTITY man-url "http://primates.ximian.com/~flucifredi/man/man-&man-version;.tar.gz">
+<!ENTITY man-md5 "ac1e7d60dfedb7d1c6f398ae5b038996">
+<!ENTITY man-home "http://primates.ximian.com/~flucifredi/man/">
 
 <!ENTITY man-pages-version "2.31">
 <!ENTITY man-pages-size "1.7 MB">
 <!ENTITY man-pages-url "&kernel;linux/docs/manpages/man-pages-&man-pages-version;.tar.bz2">
+<!ENTITY man-pages-md5 "2731f0baea4f24793375358d6cd56173">
+<!ENTITY man-pages-home " ">
 
 <!ENTITY mktemp-version "1.5">
 <!ENTITY mktemp-size "69 KB">
 <!ENTITY mktemp-url "ftp://ftp.mktemp.org/pub/mktemp/mktemp-&mktemp-version;.tar.gz">
+<!ENTITY mktemp-md5 "9a35c59502a228c6ce2be025fc6e3ff2">
+<!ENTITY mktemp-home "http://www.mktemp.org/">
 
 <!ENTITY module-init-tools-version "3.2.2">
 <!ENTITY module-init-tools-size "165 KB">
 <!ENTITY module-init-tools-url "&kernel;linux/utils/kernel/module-init-tools/module-init-tools-&module-init-tools-version;.tar.bz2">
+<!ENTITY module-init-tools-md5 "a1ad0a09d3231673f70d631f3f5040e9">
+<!ENTITY module-init-tools-home " ">
 
 <!ENTITY ncurses-version "5.5">
 <!ENTITY ncurses-size "2.3 MB">
 <!ENTITY ncurses-url "ftp://invisible-island.net/ncurses/ncurses-&ncurses-version;.tar.gz">
+<!ENTITY ncurses-md5 "e73c1ac10b4bfc46db43b2ddfd6244ef">
+<!ENTITY ncurses-home "http://dickey.his.com/ncurses/">
 
 <!ENTITY patch-version "2.5.9">
 <!ENTITY patch-size "198 KB">
 <!ENTITY patch-url "&alpha-gnu;diffutils/patch-&patch-version;.tar.gz">
+<!ENTITY patch-md5 "dacfb618082f8d3a2194601193cf8716">
+<!ENTITY patch-home "&gnu-software;patch/">
 
 <!ENTITY parted-version "1.6.25.1">
 <!ENTITY parted-size "1.5 MB">
 <!ENTITY parted-url "&gnu;/parted/parted-&parted-version;.tar.gz">
+<!ENTITY parted-md5 "8ad8b2c8aa865d9d6a43a4ecfe021782">
+<!ENTITY parted-home "&gnu-software;parted/">
 
 <!ENTITY perl-version "5.8.8">
 <!ENTITY perl-size "9.7 MB">
 <!ENTITY perl-url "http://ftp.funet.fi/pub/CPAN/src/perl-&perl-version;.tar.bz2">
+<!ENTITY perl-md5 "a377c0c67ab43fd96eeec29ce19e8382">
+<!ENTITY perl-home "http://www.perl.com/">
 
 <!ENTITY powerpcutils-version "1.1.3">
 <!ENTITY powerpcutils-size "25 KB">
 <!ENTITY powerpcutils-url "http://ftp.debian.org/debian/pool/main/p/powerpc-utils/powerpc-utils_&powerpcutils-version;.orig.tar.gz">
+<!ENTITY powerpcutils-md5 "d879b109bb8f0d726304b60b147bff13">
+<!ENTITY powerpcutils-home "http://packages.qa.debian.org/p/powerpc-utils.html">
 
 <!ENTITY procps-version "3.2.6">
 <!ENTITY procps-size "273 KB">
 <!ENTITY procps-url "http://procps.sourceforge.net/procps-&procps-version;.tar.gz">
+<!ENTITY procps-md5 "7ce39ea27d7b3da0e8ad74dd41d06783">
+<!ENTITY procps-home "http://procps.sourceforge.net/">
 
 <!ENTITY psmisc-version "22.2">
 <!ENTITY psmisc-size "239 KB">
 <!ENTITY psmisc-url "&sourceforge;psmisc/psmisc-&psmisc-version;.tar.gz?download">
+<!ENTITY psmisc-md5 "77737c817a40ef2c160a7194b5b64337">
+<!ENTITY psmisc-home "http://psmisc.sourceforge.net/">
 
 <!ENTITY readline-version "5.1">
 <!ENTITY readline-size "1.9 MB">
 <!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
+<!ENTITY readline-md5 "7ee5a692db88b30ca48927a13fd60e46">
+<!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
 
 <!ENTITY sed-version "4.1.5">
 <!ENTITY sed-size "781 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.gz">
+<!ENTITY sed-md5 "7a1cbbbb3341287308e140bd4834c3ba">
+<!ENTITY sed-home "&gnu-software;sed/">
 
 <!ENTITY shadow-version "4.0.15">
 <!ENTITY shadow-size "1.3 MB">
 <!ENTITY shadow-url "ftp://ftp.pld.org.pl/software/shadow/shadow-&shadow-version;.tar.bz2">
+<!ENTITY shadow-md5 "a0452fa989f8ba45023cc5a08136568e">
+<!ENTITY shadow-home " ">
 
 <!ENTITY silo-version "1.4.11">
 <!ENTITY silo-size "142 KB">
 <!ENTITY silo-url "http://www.sparc-boot.org/pub/silo/silo-&silo-version;.tar.bz2">
+<!ENTITY silo-md5 "37eea1b33d80f6c35d53af9029e30a02">
+<!ENTITY silo-home "http://www.sparc-boot.org/">
 
 <!ENTITY sysklogd-version "1.4.1">
 <!ENTITY sysklogd-size "80 KB">
 <!ENTITY sysklogd-url "http://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
+<!ENTITY sysklogd-md5 "d214aa40beabf7bdb0c9b3c64432c774">
+<!ENTITY sysklogd-home "http://www.infodrom.org/projects/sysklogd/">
 
 <!ENTITY sysvinit-version "2.86">
 <!ENTITY sysvinit-size "97 KB">
 <!ENTITY sysvinit-url "ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-&sysvinit-version;.tar.gz">
+<!ENTITY sysvinit-md5 "7d5d61c026122ab791ac04c8a84db967">
+<!ENTITY sysvinit-home " ">
 
 <!ENTITY tar-version "1.15.1">
 <!ENTITY tar-size "1.6 MB">
 <!ENTITY tar-url "&gnu;tar/tar-&tar-version;.tar.bz2">
+<!ENTITY tar-md5 "57da3c38f8e06589699548a34d5a5d07">
+<!ENTITY tar-home "&gnu-software;tar/">
 
 <!ENTITY tcl-version "8.4.12">
 <!ENTITY tcl-size "3.3 MB">
 <!ENTITY tcl-url "&sourceforge;tcl/tcl&tcl-version;-src.tar.gz?download">
+<!ENTITY tcl-md5 "7480432d8730263f267952788eb4839b">
+<!ENTITY tcl-home "http://tcl.sourceforge.net/">
 
 <!ENTITY texinfo-version "4.8">
 <!ENTITY texinfo-size "1.5 MB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.bz2">
+<!ENTITY texinfo-md5 "6ba369bbfe4afaa56122e65b3ee3a68c">
+<!ENTITY texinfo-home "&gnu-software;texinfo/">
 
 <!ENTITY tree-version "1.5.0">
 <!ENTITY tree-size "26 KB">
 <!ENTITY tree-url "ftp://mama.indstate.edu/linux/tree/tree-&tree-version;.tgz">
+<!ENTITY tree-md5 "e0d090c564e7ea5afa16bac80620c7e0">
+<!ENTITY tree-home " ">
 
 <!ENTITY udev-version "091">
 <!ENTITY udev-size "288 KB">
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
+<!ENTITY udev-md5 "4151022ea7b4dcfaa768c1b7bf2ab9e5">
+<!ENTITY udev-home "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html">
 
 <!ENTITY udev-cross-lfs-version "0.1-04282006">
 <!ENTITY udev-cross-lfs-size "10 KB">
 <!ENTITY udev-cross-lfs-url "http://ftp.jg555.com/udev/udev-cross-lfs-&udev-cross-lfs-version;.tar.bz2">
+<!ENTITY udev-cross-lfs-md5 "e7de1478d59c0f571f8d038251f90b87">
+<!ENTITY udev-cross-lfs-home " ">
 
 <!ENTITY util-linux-version "2.12r">
 <!ENTITY util-linux-size "1.4 MB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/util-linux-&util-linux-version;.tar.bz2">
+<!ENTITY util-linux-md5 "af9d9e03038481fbf79ea3ac33f116f9">
+<!ENTITY util-linux-home " ">
 
 <!ENTITY yaboot-version "1.3.13">
 <!ENTITY yaboot-size "269 KB">
 <!ENTITY yaboot-url "http://penguinppc.org/bootloaders/yaboot/yaboot-&yaboot-version;.tar.gz">
+<!ENTITY yaboot-md5 "f12798d1b2063f21d07e0ae7f602ccaf">
+<!ENTITY yaboot-home "http://yaboot.ozlabs.org/">
 
 <!ENTITY vim-version "7.0">
@@ -285,8 +423,14 @@
 <!ENTITY vim-size "6.3 MB">
 <!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
+<!ENTITY vim-md5 "4ca69757678272f718b1041c810d82d8">
+<!ENTITY vim-home "http://www.vim.org">
 <!ENTITY vim-language-size "1.2 MB">
 <!ENTITY vim-language-url "ftp://ftp.vim.org/pub/vim/extra/vim-&vim-version;-lang.tar.gz">
+<!ENTITY vim-language-md5 "6d43efaff570b5c86e76b833ea0c6a04">
+<!ENTITY vim-language-home " ">
 
 <!ENTITY zlib-version "1.2.3">
 <!ENTITY zlib-size "416 KB">
 <!ENTITY zlib-url "http://www.zlib.net/zlib-&zlib-version;.tar.gz">
+<!ENTITY zlib-md5 "debc62758716a169df9f62e6ab2bc634">
+<!ENTITY zlib-home "http://www.zlib.net/">
